Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 28456 - Clean up AU deps on separated core/openide modules
Clean up AU deps on separated core/openide modules
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Autoupdate
3.x
All All
: P2 (vote)
: 3.x
Assigned To: Jesse Glick
issues@platform
:
Depends on:
Blocks: 17815
  Show dependency treegraph
 
Reported: 2002-11-04 16:43 UTC by Jesse Glick
Modified: 2003-02-19 19:11 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2002-11-04 16:43:51 UTC
autoupdate still depends on TopManager, and thus
(indirectly) all the old modules which should not
be in the platform.

Please remove all references to TopManager from AU
sources. Remove all classpath entries from
autoupdate/build.xml except:

openide.jar
openide-io.jar
updater.jar

Remove unneeded build-time dependencies from
nbbuild/build.xml. Remove dependencies on unneeded
modules and tokens from autoupdate/manifest.mf.
Finally edit nbbuild/build.properties: remove from
${config.modules.platform}:

        openide/deprecated, \
        core/deprecated, \
        core/execution, \
        core/compiler, \
        java/srcmodel, \

and I guess openide/execution and openide/compiler
were forgotten there too, so leave them out.
Comment 1 Jesse Glick 2002-11-04 16:44:56 UTC
Should be done soon, definitely for 4.0, since the platform build is
currently polluted with unnecessary modules.
Comment 2 Jesse Glick 2002-11-07 18:26:47 UTC
I'll do it, since it is a platform issue mainly.
Comment 3 Jesse Glick 2002-11-07 20:47:17 UTC
In directory autoupdate:
committed   * Up-To-Date  1.36        autoupdate/build.xml
committed   * Up-To-Date  1.46        autoupdate/manifest.mf
In directory autoupdate/src:
In directory autoupdate/src/org:
In directory autoupdate/src/org/netbeans:
In directory autoupdate/src/org/netbeans/modules:
In directory autoupdate/src/org/netbeans/modules/autoupdate:
committed   * Up-To-Date  1.19       
autoupdate/src/org/netbeans/modules/autoupdate/AutoCheckInfo.java
committed   * Up-To-Date  1.32       
autoupdate/src/org/netbeans/modules/autoupdate/AutoChecker.java
committed   * Up-To-Date  1.6        
autoupdate/src/org/netbeans/modules/autoupdate/AutoModuleNewType.java
committed   * Up-To-Date  1.11       
autoupdate/src/org/netbeans/modules/autoupdate/AutoupdateType.java
committed   * Up-To-Date  1.42       
autoupdate/src/org/netbeans/modules/autoupdate/Autoupdater.java
committed   * Up-To-Date  1.8        
autoupdate/src/org/netbeans/modules/autoupdate/CertificateDialog.java
committed   * Up-To-Date  1.11       
autoupdate/src/org/netbeans/modules/autoupdate/ConnectingDialog.java
committed   * Up-To-Date  1.7        
autoupdate/src/org/netbeans/modules/autoupdate/ConnectingErrorDialog.java
committed   * Up-To-Date  1.23       
autoupdate/src/org/netbeans/modules/autoupdate/DependencyChecker.java
committed   * Up-To-Date  1.19       
autoupdate/src/org/netbeans/modules/autoupdate/DownloadProgressPanel.java
committed   * Up-To-Date  1.30       
autoupdate/src/org/netbeans/modules/autoupdate/Downloader.java
committed   * Up-To-Date  1.4        
autoupdate/src/org/netbeans/modules/autoupdate/DuplicateWarningDialog.java
committed   * Up-To-Date  1.7        
autoupdate/src/org/netbeans/modules/autoupdate/ExternalDialog.java
committed   * Up-To-Date  1.3        
autoupdate/src/org/netbeans/modules/autoupdate/FinishDialog.java
committed   * Up-To-Date  1.12       
autoupdate/src/org/netbeans/modules/autoupdate/IdeDescription.java
committed   * Up-To-Date  1.5        
autoupdate/src/org/netbeans/modules/autoupdate/IncompleteDialog.java
committed   * Up-To-Date  1.14       
autoupdate/src/org/netbeans/modules/autoupdate/LicenceDialog.java
committed   * Up-To-Date  1.48       
autoupdate/src/org/netbeans/modules/autoupdate/ModuleUpdate.java
committed   * Up-To-Date  1.6        
autoupdate/src/org/netbeans/modules/autoupdate/Notification.java
committed   * Up-To-Date  1.3        
autoupdate/src/org/netbeans/modules/autoupdate/PropertiesDialog.java
committed   * Up-To-Date  1.8        
autoupdate/src/org/netbeans/modules/autoupdate/ProxyDialog.java
committed   * Up-To-Date  1.43       
autoupdate/src/org/netbeans/modules/autoupdate/ResultsPanel.java
committed   * Up-To-Date  1.8        
autoupdate/src/org/netbeans/modules/autoupdate/SafeModule.java
committed   * Up-To-Date  1.30       
autoupdate/src/org/netbeans/modules/autoupdate/SelectModulesPanel.java
committed   * Up-To-Date  1.20       
autoupdate/src/org/netbeans/modules/autoupdate/Settings.java
committed   * Up-To-Date  1.20       
autoupdate/src/org/netbeans/modules/autoupdate/SettingsBeanInfo.java
committed   * Up-To-Date  1.21       
autoupdate/src/org/netbeans/modules/autoupdate/UpdateAction.java
committed   * Up-To-Date  1.91       
autoupdate/src/org/netbeans/modules/autoupdate/UpdatePanel.java
committed   * Up-To-Date  1.27       
autoupdate/src/org/netbeans/modules/autoupdate/Updates.java
committed   * Up-To-Date  1.58       
autoupdate/src/org/netbeans/modules/autoupdate/Wizard.java
committed   * Up-To-Date  1.8        
autoupdate/src/org/netbeans/modules/autoupdate/XMLAutoupdateTypeBeanInfo.java
committed   * Up-To-Date  1.13       
autoupdate/src/org/netbeans/modules/autoupdate/XMLUpdates.java
committed   * Up-To-Date  1.48        nbbuild/build.properties
committed   * Up-To-Date  1.255       nbbuild/build.xml


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo